## org.exist.xquery
Class TimerPragma

    java.lang.Object
      org.exist.xquery.Pragma
          org.exist.xquery.TimerPragma

public class TimerPragma
extends Pragma

Field Summary
`static QName` `TIMER_PRAGMA`

Constructor Summary
`TimerPragma(QName qname, java.lang.String contents)`

Method Summary
`void` `after(XQueryContext context, Expression expression)`
`void` `before(XQueryContext context, Expression expression)`

Methods inherited from class org.exist.xquery.Pragma
`eval, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TIMER_PRAGMA

    public static final QName TIMER_PRAGMA

Constructor Detail

### TimerPragma

    public TimerPragma(QName qname,
                       java.lang.String contents)
                throws XPathException

Method Detail

### after

    public void after(XQueryContext context,
                      Expression expression)
               throws XPathException

  Specified by:
    `after` in class `Pragma`
  Throws:
    `XPathException`

### before

    public void before(XQueryContext context,
                       Expression expression)
                throws XPathException

  Specified by:
    `before` in class `Pragma`
  Throws:
    `XPathException`

Copyright (C) Wolfgang Meier. All rights reserved.